.hero {
	min-height: 800px;
	max-height: 1080px;
	margin: 0 auto;
	position: relative;
	overflow: hidden;

	&-container {
		display: flex;
		flex-direction: column;
		align-items: center;
		gap: 1.25em;
		max-width: 1200px;
		margin: 0 auto;
		padding: 1.87em 2.5em;

		& > * {
			width: max-content;
			max-width: 30rem;
		}
	}

	&-title {
		font-size: 2.25rem;
		text-align: center;
		width: fit-content;
	}

	&-subtitle {
		font-weight: normal;
		font-size: 1.12rem;
		display: flex;
		gap: 0.25em;
		height: 1.5em;

		&-options {
			overflow-y: hidden;
			position: relative;
			&-wrapper {
				margin: 0;
				padding: 0;
				width: max-content;
				display: flex;
				flex-direction: column;
			}

			&::before,
			&::after {
				position: absolute;
				width: 100%;
				height: 30%;
				display: block;
				content: "";
				left: 0;
				z-index: 2;
			}

			&::before {
				top: 0;
				background-image: linear-gradient(
					-180deg,
					#fcfcfc 0%,
					rgba(252, 252, 252, 0) 100%
				);
			}

			&::after {
				bottom: 0;
				background-image: linear-gradient(
					0deg,
					#fcfcfc 0%,
					rgba(252, 252, 252, 0) 100%
				);
			}
		}
	}

	&-images {
		position: absolute;
		z-index: -1;
		isolation: isolate;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		height: 100%;
		margin: 0 auto;

		&-image {
			position: absolute;
			margin: 0 auto;

			img {
				width: 100%;
				height: 100%;
			}

			&-backgroundHills {
				max-width: 2000px;
				width: 130vw;
				left: -50%;
				right: -50%;
				bottom: -20%;
				z-index: -1;
			}
		}
	}
}

@media (min-width: 1080px) {
	.hero {
		height: 130vh;
		margin: 0 auto;

		&-container {
			display: flex;
			flex-direction: column;
			align-items: flex-start;
			gap: 1.25em;
			max-width: 1200px;
			margin: 0 auto;
			padding: 4.62em 2.5em;

			& > * {
				width: max-content;
				max-width: 30rem;
			}
		}

		&-title {
			text-align: left;
		}

		&-subtitle {
			font-size: 1.5rem;
		}

		&-images {
			height: 100%;
			margin: 0 auto;
			max-width: 1440px;

			&-image {
				&-backgroundHills {
					bottom: -20%;
				}

				&-tree-dark {
					bottom: 18%;
					left: -1%;
					height: 38%;
				}

				&-tree-skinny {
					bottom: 18%;
					left: 15%;
					height: 38%;
					z-index: 1;
				}

				&-macbook {
					left: 50%;
					top: 36%;
					transform: translateX(-50%);
					height: 27%;
				}

				&-pixel {
					z-index: 1;
					right: 22%;
					top: 15%;
					height: 60%;
				}

				&-ios {
					display: none;
				}

				&-bush-dark {
					z-index: 2;
					bottom: 23%;
					right: 37%;
					width: 19%;
				}

				&-bush-light {
					bottom: 25%;
					right: 36%;
					width: 25%;
					z-index: 1;
				}

				&-grasshopper {
					right: 6%;
					bottom: 5%;
					height: 61.5%;
				}
			}
		}
	}
}

@media ((min-width: 720px) and (max-width: 1080px)) {
	.hero {
		height: 120vh;

		&-images {
			&-image {
				&-backgroundHills {
					bottom: -15%;
				}

				&-tree-dark {
					bottom: 13%;
					left: -1%;
					height: 30%;
				}

				&-tree-skinny {
					bottom: 13%;
					left: 15%;
					height: 30%;
				}

				&-macbook {
					left: 35%;
					top: 55%;
					height: 23%;
					z-index: -1;
				}

				&-pixel {
					right: 23%;
					top: auto;
					bottom: 16.25%;
					height: 48%;
					z-index: 0;
				}

				&-ios {
					display: none;
				}

				&-bush-dark {
					bottom: 13%;
					right: 37%;
					width: 19%;
					z-index: 2;
				}

				&-bush-light {
					bottom: 15%;
					right: 36%;
					width: 25%;
					z-index: 0;
				}

				&-grasshopper {
					right: 6.5%;
					bottom: 3%;
					height: 50%;
					z-index: -1;
				}
			}
		}
	}
}

@media (max-width: 720px) {
	.hero {
		&-images {
			&-image {
				&-backgroundHills {
					bottom: -5%;
				}

				&-tree-dark {
					display: none;
				}

				&-tree-skinny {
					display: none;
				}

				&-macbook {
					display: none;
				}

				&-pixel {
					display: none;
				}

				&-grasshopper {
					display: none;
				}

				&-ios {
					display: block;
					height: 50%;
					bottom: 5%;
					left: 30%;
				}

				&-bush-dark {
					width: 50%;
					bottom: 0;
					left: -10%;
					z-index: 1;
				}

				&-bush-light {
					width: 50%;
					bottom: 5%;
					right: -10%;
				}
			}
		}
	}
}
